Subject: Re: [PULL] virtio: last minute bugfix

From: Wei Wang <[email-masked]>
Date: Wed, 08 Nov 2017 09:24:57 +0800

On 11/08/2017 03:23 AM, Michael S. Tsirkin wrote:
> On Tue, Nov 07, 2017 at 08:13:10PM +0200, Michael S. Tsirkin wrote:
>> On Tue, Nov 07, 2017 at 09:29:59AM -0800, Linus Torvalds wrote:
>>> On Tue, Nov 7, 2017 at 9:23 AM, Linus Torvalds
>>> <[email-masked]> wrote:
>>>> I guess I'll take it, but please don't do things like this to me.
>>> Oh no I wont.
>>>
>>> The garbage you sent me doesn't even compile cleanly, and is utter shite.
>>>
>>> Not acceptable for last-minute bugfixes, and you're now on my shit-list.
>>>
>>>                  Linus
>> Sorry about that.
>>
>> I'll investigate what went wrong.
>>
>> Will be more careful not to cut corners next time around, just follow
>> the standard procedure.
> All right, my local tests didn't fail on new warnings, and I didn't give
> the zero day infrastructure enough time to do it's job.
>
> Lesson hopefully learned - don't rush it, give tools the time to do
> their job.
>
> Wei, you'll want to respin your 4.15 patchset on top of my fixed tree.
> At this point the fix will only land in 4.15, sorry about that.
>
> Thanks everyone.
>

OK, I'll use the fixed tree. Thanks, Michael.

Best,
Wei